Skip to main content
GET
/
voice
Get voice prompts
curl --request GET \
  --url https://restapi.deepdub.ai/api/v1/voice \
  --header 'x-api-key: <api-key>'
{
  "voicePrompts": [
    {
      "id": "vp_12345abcde",
      "title": "Professional Narrator",
      "name": "Professional Female Voice",
      "locale": "en-US",
      "text": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "speakerId": "<string>",
      "gender": "FEMALE",
      "speakingStyle": "narrative"
    }
  ]
}

Authorizations

x-api-key
string
header
required

API key for authentication. Must start with dd- prefix.

Headers

x-api-key
string
default:dd-00000000000000000000000065c9cbfe
required

API Key

Query Parameters

limit
integer
default:100

Maximum number of voice prompts to return

Required range: x >= 1

Response

List of voice prompts

voicePrompts
object[]